MODULE MOD_MAIN
//=======================================================================================================
// ** 耐久数据记录自动化测试，运行前必读 **
// 1. 修改负载信息
// 2. 修改耐久程序——durable_test，主程序除了负载信息，其他无需修改
// 3. 需要导入 autotest.xml 寄存器文件，以及新建modbus总线设备，命名为autotest，其他默认即可
// 4. 其他无需修改，如有其他需求，可联系fanmingfu@rokae.com沟通
//=======================================================================================================

GLOBAL PROC main()
	tool p_tool = tool100                // 实际测试，这里需要修改成实际负载
	speed p_speed = vmax
	VelSet 100
	MoveAbsJ p_home, p_speed, z50, p_tool
	
	WriteRegByName(ready_to_go, True)
	While(True)
		ReadRegByName(act, t_act)
		If(t_act == True)
			break
		Else
			Wait 1
		Endif
	Endwhile

durable_test(p_speed, p_tool)

ENDPROC

ENDMODULE